Transact

  1. Home
  2. Transact
  3. Install and Upgrade
  4. Additional Resources
  5. Windows
  6. Prerequisites for Configuring Transact with Microsoft SQL Server

Prerequisites for Configuring Transact with Microsoft SQL Server

See Platform Configurations and Third-Party Integrations to determine which operating system, database, and third-party integrations are supported for your version of Ephesoft Transact.

If using an existing database, make sure you have SQL Server client installed. For that, download and install the following software in the mentioned order on the Microsoft SQL Server before installing Ephesoft Transact:

  1. Microsoft® SQL Server® 2012 Native Client – QFE (Version 11.4.7001.0)
  2. Microsoft® ODBC Driver 13.1 for SQL Server® – Windows, Linux, & macOS (Version 13.1.4413.46)
  3. Microsoft® Command Line Utilities for SQL Server®

Note: Please contact Ephesoft Support to download the supported version of Command Line Utilities.

Workaround for Transact 4.5.0.2:

There is a compatibility issue with SQL Server 2008R2 (shipped as a part of Ephesoft Transact installer) on Windows Server 2012R2, Windows 8 or higher versions. However, there is a workaround provided by Microsoft to make Windows Server 2012R2 (and Windows 8) compatible with SQL Server 2008R2. This can be done by installing an additional Service Pack. You can find all required information in the following Microsoft article:

Using SQL Server in Windows 8 and later versions of Windows operating system

Note: Microsoft SQL Server 2008R2 is not compatible with Windows 10 or Windows Server 2016.

Was this article helpful to you? Yes No 1